/**
 * @name 获取元素的layout类型
 * @description 拖拽对象的块级类型 和 放置对象的父级容器布局类型 判断拖入后的布局
 * @param source
 * @param target
 * @returns 'row' | 'col'
 */
export declare const getLayoutAtElement: (source: Element, target: Element) => 'row' | 'col';
/**
 * @name 指针位于dom元素内部偏移
 * @param e 鼠标指针
 * @param dom 指向dom元素
 * @param layout  row , column
 * @returns    before ，after
 */
export declare const getPositionAtDockableElement: (ev: MouseEvent, element: Element, layout: 'row' | 'col') => 'before' | 'after';
export declare const isBlockLevel: (ele: Element) => boolean;
export declare const getPositionAtEventInElement: (ev: MouseEvent, element: any) => void;
