declare const _default: import("vue").DefineComponent<{
    align: import("vue-types").VueTypeDef<"right" | "center" | "left"> & {
        default: "right" | "center" | "left";
    };
    decimalPlaces: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    format: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    step: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    value: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    layout: import("vue-types").VueTypeDef<"row" | "col"> & {
        default: "row" | "col";
    };
    theme: import("vue-types").VueTypeDef<"light" | "dark"> & {
        default: "light" | "dark";
    };
}, {
    innerInputRef: import("vue").Ref<any>;
    state: {
        value: number;
    };
    wrapClasses: import("vue").ComputedRef<{
        [x: string]: boolean | import("vue").Ref<boolean>;
    }>;
    decreaseIcon: import("vue").ComputedRef<JSX.Element>;
    increaseIcon: import("vue").ComputedRef<JSX.Element>;
    decreaseClasses: import("vue").ComputedRef<{
        [x: string]: boolean;
    }>;
    increaseClasses: import("vue").ComputedRef<{
        [x: string]: boolean;
    }>;
    disabledIncrease: import("vue").ComputedRef<boolean>;
    disabledDecrease: import("vue").ComputedRef<boolean>;
    inputProps: import("vue").ComputedRef<{
        disabled: boolean;
        placeholder: string;
        theme: "light" | "dark";
        onBlur: () => void;
    }>;
    buttonBaseProps: import("vue").ComputedRef<{
        size: "small" | "middle" | "large";
        disabled: boolean;
        shape: string;
    }>;
    onDecrease: () => void;
    onIncrease: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("blur" | "focus" | "update:value" | "change" | "enter" | "keydown" | "keyup" | "keypress")[], "blur" | "focus" | "update:value" | "change" | "enter" | "keydown" | "keyup" | "keypress", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    align: import("vue-types").VueTypeDef<"right" | "center" | "left"> & {
        default: "right" | "center" | "left";
    };
    decimalPlaces: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    format: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    step: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    value: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    layout: import("vue-types").VueTypeDef<"row" | "col"> & {
        default: "row" | "col";
    };
    theme: import("vue-types").VueTypeDef<"light" | "dark"> & {
        default: "light" | "dark";
    };
}>> & {
    onBlur?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onEnter?: ((...args: any[]) => any) | undefined;
    onKeydown?: ((...args: any[]) => any) | undefined;
    onKeyup?: ((...args: any[]) => any) | undefined;
    onKeypress?: ((...args: any[]) => any) | undefined;
}, {
    layout: "row" | "col";
    align: "right" | "center" | "left";
    size: "small" | "middle" | "large";
    format: (...args: any[]) => any;
    theme: "light" | "dark";
    disabled: boolean;
    value: number;
    decimalPlaces: number;
    min: number;
    max: number;
    placeholder: string;
    step: number;
}>;
export default _default;
