import { PropType } from 'vue';
declare type Options = {
    name: string;
    id: string | number;
    disabled?: boolean;
};
declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        type: NumberConstructor;
        default: () => number;
        required: true;
    };
    direction: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: PropType<Options[]>;
        default: () => never[];
        required: true;
        validator: (value: Array<number>) => boolean;
    };
}, {
    emit: (event: "change" | "update:modelValue", ...args: any[]) => void;
    check: (optionId: number | string) => void;
    Radio: import("vue").DefineComponent<{
        label: {
            type: StringConstructor;
            required: true;
        };
        checked: {
            type: BooleanConstructor;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        emit: (event: "update:checked", ...args: any[]) => void;
        setChecked: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:checked"[], "update:checked", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        label: {
            type: StringConstructor;
            required: true;
        };
        checked: {
            type: BooleanConstructor;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:checked"?: ((...args: any[]) => any) | undefined;
    }, {
        disabled: boolean;
        checked: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: NumberConstructor;
        default: () => number;
        required: true;
    };
    direction: {
        type: StringConstructor;
        default: string;
    };
    options: {
        type: PropType<Options[]>;
        default: () => never[];
        required: true;
        validator: (value: Array<number>) => boolean;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    direction: string;
    options: Options[];
    modelValue: number;
}>;
export default _sfc_main;
