declare const Select: import("vue").DefineComponent<{
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    allowClear: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    defaultValue: import("vue-types").VueTypeValidableDef<any>;
    value: {
        type: import("vue").PropType<import("../vc-select/selectProps").SelectValue>;
    };
    options: {
        type: import("vue").PropType<import("../vc-select/selectProps").DefaultOptionType[]>;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    fieldNames: {
        type: import("vue").PropType<import("../vc-select/selectProps").FieldNames>;
    };
    dropdownMatchSelectWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
    dropdownZindex: {
        type: NumberConstructor;
        default: number;
    };
    dropdownVisible: import("vue-types").VueTypeValidableDef<boolean>;
    dropdownClasses: import("vue-types").VueTypeDef<string | (string | null | undefined)[] | null | undefined>;
    hideOnOtherArea: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    hideOnSelect: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    getPopupContainer: {
        type: import("vue").PropType<(...args: any) => any>;
    };
    maxTagCount: import("vue-types").VueTypeDef<string | number | null | undefined>;
    onSelect: import("vue").PropType<import("../vc-select/selectProps").SelectHandler<any, import("../vc-select/selectProps").DefaultOptionType>>;
    onChange: import("vue").PropType<(value: any, option: import("../vc-select/selectProps").DefaultOptionType | import("../vc-select/selectProps").DefaultOptionType[]) => void>;
    onDropdownVisibleChange: import("vue").PropType<(visible: Boolean) => void>;
}, {
    prefixCls: string;
    mergedClasses: import("vue").ComputedRef<string>;
    triggerChange: (...args: any[]) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:value" | "change")[], "update:value" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    allowClear: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    defaultValue: import("vue-types").VueTypeValidableDef<any>;
    value: {
        type: import("vue").PropType<import("../vc-select/selectProps").SelectValue>;
    };
    options: {
        type: import("vue").PropType<import("../vc-select/selectProps").DefaultOptionType[]>;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    fieldNames: {
        type: import("vue").PropType<import("../vc-select/selectProps").FieldNames>;
    };
    dropdownMatchSelectWidth: {
        type: BooleanConstructor;
        default: boolean;
    };
    dropdownZindex: {
        type: NumberConstructor;
        default: number;
    };
    dropdownVisible: import("vue-types").VueTypeValidableDef<boolean>;
    dropdownClasses: import("vue-types").VueTypeDef<string | (string | null | undefined)[] | null | undefined>;
    hideOnOtherArea: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    hideOnSelect: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    getPopupContainer: {
        type: import("vue").PropType<(...args: any) => any>;
    };
    maxTagCount: import("vue-types").VueTypeDef<string | number | null | undefined>;
    onSelect: import("vue").PropType<import("../vc-select/selectProps").SelectHandler<any, import("../vc-select/selectProps").DefaultOptionType>>;
    onChange: import("vue").PropType<(value: any, option: import("../vc-select/selectProps").DefaultOptionType | import("../vc-select/selectProps").DefaultOptionType[]) => void>;
    onDropdownVisibleChange: import("vue").PropType<(visible: Boolean) => void>;
}>> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    size: "small" | "middle" | "large";
    multiple: boolean;
    disabled: boolean;
    placeholder: string;
    allowClear: boolean;
    dropdownMatchSelectWidth: boolean;
    dropdownZindex: number;
    hideOnOtherArea: boolean;
    hideOnSelect: boolean;
}>;
export default Select;
