/**
 * BaseSelect provide some parsed data into context.
 * You can use this hooks to get them.
 */
import type { ExtractPropTypes } from 'vue';
import { selectProps } from '../selectProps';
export declare type BaseSelectProps = Partial<ExtractPropTypes<ReturnType<typeof selectProps>>>;
export interface BaseSelectContextProps extends BaseSelectProps {
    prefixCls: string;
    triggerOpen: boolean;
    multiple: boolean;
    toggleOpen: (open?: boolean) => void;
}
export declare function useProvideBaseSelectProps(props: BaseSelectContextProps): void;
export default function useBaseProps(): BaseSelectContextProps;
