declare const _default: import("vue").DefineComponent<{
    action: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    showAction: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    hideAction: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    getPopupClassNameFromAlign: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    afterPopupVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    popup: import("vue-types").VueTypeValidableDef<any>;
    popupStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    popupClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    popupPlacement: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    popupTransitionName: import("vue-types").VueTypeDef<string | {
        [key: string]: any;
    } | null | undefined>;
    popupAnimation: import("vue-types").VueTypeValidableDef<any>;
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    zIndex: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    focusDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    blurDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    getDocument: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    forceRender: import("vue-types").VueTypeValidableDef<boolean>;
    destroyPopupOnHide: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    mask: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    maskClosable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    popupAlign: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    popupVisible: import("vue-types").VueTypeValidableDef<boolean>;
    defaultPopupVisible: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    maskTransitionName: import("vue-types").VueTypeDef<string | {
        [key: string]: any;
    } | null | undefined>;
    maskAnimation: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    stretch: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    alignPoint: import("vue-types").VueTypeValidableDef<boolean>;
    targetRef: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    offset: import("vue-types").VueTypeValidableDef<any>;
    arrowRef: import("vue-types").VueTypeValidableDef<any>;
    alignShift: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    alignFlip: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    setPopupVisible: (sPopupVisible: any, event?: any) => void;
    getPopupOptions: () => any;
    getContainer: () => HTMLDivElement;
    isClickToHide: () => boolean;
    isClickToShow: () => boolean;
    isMouseEnterToShow: () => boolean;
    isMouseLeaveToHide: () => boolean;
    onClick: (event: any) => void;
    onMouseenter: (e: any) => void;
    onMouseleave: (e: any) => void;
    popupRef: import("vue").Ref<any>;
    triggerRef: import("vue").Ref<any>;
    forcePopupAlign: () => void;
    firstRender: import("vue").Ref<any>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    action: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    showAction: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    hideAction: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    getPopupClassNameFromAlign: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    afterPopupVisibleChange: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    popup: import("vue-types").VueTypeValidableDef<any>;
    popupStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    popupClassName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    popupPlacement: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    builtinPlacements: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    popupTransitionName: import("vue-types").VueTypeDef<string | {
        [key: string]: any;
    } | null | undefined>;
    popupAnimation: import("vue-types").VueTypeValidableDef<any>;
    mouseEnterDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    mouseLeaveDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    zIndex: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    focusDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    blurDelay: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    getDocument: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    forceRender: import("vue-types").VueTypeValidableDef<boolean>;
    destroyPopupOnHide: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    mask: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    maskClosable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    popupAlign: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    popupVisible: import("vue-types").VueTypeValidableDef<boolean>;
    defaultPopupVisible: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    maskTransitionName: import("vue-types").VueTypeDef<string | {
        [key: string]: any;
    } | null | undefined>;
    maskAnimation: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    stretch: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    alignPoint: import("vue-types").VueTypeValidableDef<boolean>;
    targetRef: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    offset: import("vue-types").VueTypeValidableDef<any>;
    arrowRef: import("vue-types").VueTypeValidableDef<any>;
    alignShift: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    alignFlip: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}>>, {
    mask: boolean;
    prefixCls: string;
    getPopupContainer: (...args: any[]) => any;
    mouseEnterDelay: number;
    mouseLeaveDelay: number;
    destroyPopupOnHide: boolean;
    builtinPlacements: {
        [key: string]: any;
    };
    popupClassName: string;
    zIndex: number;
    alignShift: boolean;
    alignFlip: boolean;
    action: any;
    maskAnimation: string;
    popupStyle: {
        [key: string]: any;
    };
    popupPlacement: string;
    stretch: string;
    showAction: any;
    hideAction: any;
    getPopupClassNameFromAlign: any;
    afterPopupVisibleChange: (...args: any[]) => any;
    focusDelay: number;
    blurDelay: number;
    getDocument: (...args: any[]) => any;
    maskClosable: boolean;
    popupAlign: {
        [key: string]: any;
    };
    defaultPopupVisible: boolean;
    targetRef: {
        [key: string]: any;
    };
}>;
export default _default;
