export interface DndEventProp {
    ev?: Event | null;
    dragElement?: Element | null;
    dragData?: Element | string | number | object | null;
    dropElement?: Element | null;
    dropData?: Element | string | number | object | null;
    position?: 'before' | 'inner' | 'after';
    status?: 'dragstart' | 'dragging' | 'drop' | 'none';
}
export declare class DndEvent implements DndEventProp {
    ev: Event | null;
    dragElement: Element | null;
    dragData: Element | string | number | object | null;
    dropElement: Element | null;
    dropData: Element | string | number | object | null;
    position?: 'before' | 'inner' | 'after';
    status?: 'dragstart' | 'dragging' | 'drop' | 'none';
    constructor(props?: DndEventProp);
}
