export interface MsgNode {
    contentList: HTMLDivElement[];
    messageList: MsgOptions[];
    close: (options: string | MsgOptions) => void;
    error: (options: string | MsgOptions) => void;
    help: (options: string | MsgOptions) => void;
    info: (options: string | MsgOptions) => void;
    loading: (options: string | MsgOptions) => void;
    success: (options: string | MsgOptions) => void;
    warning: (options: string | MsgOptions) => void;
}
export interface MsgOptions {
    type?: string;
    message: string;
    icon?: string;
    duration?: number;
    showClose?: boolean;
    link?: boolean;
    linkText?: string;
    center?: boolean;
    handle?: () => void;
    onClose?: (options?: MsgOptions) => void;
    id?: number;
}
