declare const _default: import("vue").DefineComponent<{
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    value: import("vue-types").VueTypeValidableDef<any>;
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    prefixCls: string;
    radioGroupCtx: import("./context").RadioGroupContext | undefined;
    classes: import("vue").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    inputRef: import("vue").Ref<any>;
    computedChecked: import("vue").ComputedRef<boolean>;
    mergedDisabled: import("vue").ComputedRef<boolean>;
    mergedType: import("vue").ComputedRef<string>;
    handleClick: (ev: Event) => void;
    handleChange: (ev: Event) => void;
    handleFocus: () => void;
    handleBlur: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string | number | boolean) => true;
    /**
     * @explan 值改变时触发
     * @property {string|number|boolean} value
     */
    change: (value: string | number | boolean, ev: Event) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    value: import("vue-types").VueTypeValidableDef<any>;
    defaultChecked: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    uninjectGroupContext: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}>> & {
    onChange?: ((value: string | number | boolean, ev: Event) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string | number | boolean) => any) | undefined;
}, {
    type: string;
    disabled: boolean;
    defaultChecked: boolean;
    uninjectGroupContext: boolean;
    allowEmpty: boolean;
}>;
export default _default;
