import { RadioItemProps } from './radio-props';
declare const _default: import("vue").DefineComponent<{
    value: import("vue-types").VueTypeValidableDef<any>;
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    defaultValue: import("vue-types").VueTypeDef<string | number | boolean | null | undefined>;
    type: {
        type: import("vue").PropType<"radio" | "button">;
        default: string;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    options: import("vue-types").VueTypeValidableDef<RadioItemProps[]>;
    direction: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    round: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    tooltipContent: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string | number | boolean) => true;
    'update:value': (value: string | number | boolean) => true;
    /**
     * @explan 值改变时触发
     * @property {string|number|boolean} value
     */
    change: (value: string | number | boolean, ev: Event) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: import("vue-types").VueTypeValidableDef<any>;
    modelValue: import("vue-types").VueTypeValidableDef<any>;
    defaultValue: import("vue-types").VueTypeDef<string | number | boolean | null | undefined>;
    type: {
        type: import("vue").PropType<"radio" | "button">;
        default: string;
    };
    size: import("vue-types").VueTypeDef<"small" | "middle" | "large"> & {
        default: "small" | "middle" | "large";
    };
    options: import("vue-types").VueTypeValidableDef<RadioItemProps[]>;
    direction: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    allowEmpty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    round: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    tooltipContent: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
}>> & {
    "onUpdate:value"?: ((value: string | number | boolean) => any) | undefined;
    onChange?: ((value: string | number | boolean, ev: Event) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string | number | boolean) => any) | undefined;
}, {
    size: "small" | "middle" | "large";
    direction: string;
    type: "radio" | "button";
    round: boolean;
    disabled: boolean;
    allowEmpty: boolean;
    tooltipContent: any;
}>;
export default _default;
