import { InjectionKey, Slots } from 'vue';
export declare const RADIO_TYPES: readonly ["radio", "button"];
export declare type RadioType = typeof RADIO_TYPES[number];
export interface RadioGroupContext {
    name: string;
    value: string | number;
    size: string;
    type: RadioType;
    disabled: boolean;
    slots: Slots;
    handleChange: (value: string | number, e: Event) => void;
    allowEmpty: boolean;
}
export declare const radioGroupKey: InjectionKey<RadioGroupContext>;
