import { PropType } from 'vue';
export interface Options {
    label: string;
    value: string;
    disabled?: boolean;
}
export declare const selectProps: {
    modelValue: {
        type: PropType<string[]>;
        required: boolean;
    };
    options: {
        type: PropType<Options[]>;
        default(): never[];
        required: boolean;
        validator(value: PropType<Options[]>): boolean;
    };
    placement: {
        type: StringConstructor;
        default: string;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    trigger: {
        type: StringConstructor;
        default: string;
        validator(value: string): boolean;
    };
    size: {
        type: StringConstructor;
        default: string;
    };
};
