import { PropType } from 'vue';
import { handleProps } from './renderSlider';
declare const _default: import("vue").DefineComponent<{
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    inputNumberProps: import("vue-types").VueTypeDef<"right" | "left"> & {
        default: "right" | "left";
    };
    label: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    marks: import("vue-types").VueTypeDef<unknown[] | {
        [key: string]: any;
    }>;
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    step: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    value: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    startPoint: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    included: import("vue-types").VueTypeValidableDef<boolean>;
    dots: import("vue-types").VueTypeValidableDef<boolean>;
    hideMarks: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onHandleMouseup: {
        type: PropType<(ev: MouseEvent) => void>;
        default: () => void;
    };
    onHandleMousedown: {
        type: PropType<(ev: MouseEvent) => void>;
        default: () => void;
    };
    onEnd: {
        type: PropType<(ev: MouseEvent) => void>;
        default: () => void;
    };
}, {
    state: {
        value: number;
        tooltipVisible: boolean;
    };
    renderHandle: (props: handleProps) => JSX.Element;
    renderMarks: (props: Record<string, any>) => JSX.Element;
    getLowerBound: () => number;
    getUpperBound: () => number;
    dragging: import("vue").Ref<boolean>;
    sliderRef: import("vue").Ref<HTMLElement | undefined>;
    onMouseDown: (e: MouseEvent) => void;
    onMouseMove: (e: MouseEvent) => void;
    onMouseEnter: (e: MouseEvent) => void;
    onMouseLeave: (e: MouseEvent) => void;
    calcOffset: (value: number) => number;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:value" | "change")[], "update:value" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    inputNumberProps: import("vue-types").VueTypeDef<"right" | "left"> & {
        default: "right" | "left";
    };
    label: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    marks: import("vue-types").VueTypeDef<unknown[] | {
        [key: string]: any;
    }>;
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    step: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    value: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    startPoint: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    included: import("vue-types").VueTypeValidableDef<boolean>;
    dots: import("vue-types").VueTypeValidableDef<boolean>;
    hideMarks: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onHandleMouseup: {
        type: PropType<(ev: MouseEvent) => void>;
        default: () => void;
    };
    onHandleMousedown: {
        type: PropType<(ev: MouseEvent) => void>;
        default: () => void;
    };
    onEnd: {
        type: PropType<(ev: MouseEvent) => void>;
        default: () => void;
    };
}>> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    value: number;
    min: number;
    max: number;
    step: number;
    label: any;
    inputNumberProps: "right" | "left";
    startPoint: number;
    hideMarks: boolean;
    onHandleMouseup: (ev: MouseEvent) => void;
    onHandleMousedown: (ev: MouseEvent) => void;
    onEnd: (ev: MouseEvent) => void;
}>;
export default _default;
