import { PropType } from 'vue';
import { DisplayValueType } from './selectProps';
declare const _default: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    open: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    placeholder: import("vue-types").VueTypeValidableDef<any>;
    maxTagCount: import("vue-types").VueTypeValidableDef<any>;
    searchValue: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    values: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    onToggleOpen: {
        type: PropType<(open?: boolean | undefined) => void>;
    };
    onRemove: {
        type: PropType<(info: DisplayValueType) => void>;
    };
    domRef: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}, {
    mergeMode: import("vue").ComputedRef<"multiple" | "">;
    inputRef: any;
    onClick: () => false | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    open: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    placeholder: import("vue-types").VueTypeValidableDef<any>;
    maxTagCount: import("vue-types").VueTypeValidableDef<any>;
    searchValue: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    values: import("vue-types").VueTypeValidableDef<unknown[]> & {
        default: () => unknown[];
    };
    onToggleOpen: {
        type: PropType<(open?: boolean | undefined) => void>;
    };
    onRemove: {
        type: PropType<(info: DisplayValueType) => void>;
    };
    domRef: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
}>>, {
    open: boolean;
    multiple: boolean;
    values: unknown[];
    prefixCls: string;
    searchValue: string;
    domRef: (...args: any[]) => any;
}>;
export default _default;
