import { FieldNames, OptionType } from '../selectProps';
export interface FlattenOptionData<OptionType> {
    label?: any;
    data: OptionType;
    key: string | number;
    value?: string | number;
    groupOption?: boolean;
    group?: boolean;
}
export declare const flattenOptions: (options: OptionType[], { fieldNames, childrenAsData }: {
    fieldNames?: FieldNames | undefined;
    childrenAsData?: boolean | undefined;
}) => FlattenOptionData<import("../selectProps").DefaultOptionType>[];
export declare function fillFieldNames(fieldNames: FieldNames | undefined, childrenAsData: boolean): {
    label: string;
    value: string;
    options: string;
};
