declare const _default: import("vue").DefineComponent<{
    align: import("vue-types").VueTypeValidableDef<any>;
    action: import("vue-types").VueTypeDef<string | (string | null | undefined)[] | null | undefined> & {
        default: string | (() => (string | null | undefined)[]) | null | undefined;
    };
    getClassNameFromAlign: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    visible: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    getRootDomNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    getContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    ref: import("vue-types").VueTypeValidableDef<any>;
    destroyPopupOnHide: import("vue-types").VueTypeValidableDef<boolean>;
    transitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    animation: import("vue-types").VueTypeValidableDef<any>;
    maskAnimation: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    maskTransitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    mask: import("vue-types").VueTypeValidableDef<boolean>;
    zIndex: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    popupClassName: import("vue-types").VueTypeValidableDef<any>;
    popupStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    popupPlacement: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    stretch: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    point: import("vue-types").VueTypeLooseShape<{
        pageX: number | null | undefined;
        pageY: number | null | undefined;
    }>;
    arrowRef: import("vue-types").VueTypeValidableDef<any>;
    alignShift: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    alignFlip: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    transitionProps: Record<string, any>;
    getAlignTarget: () => any;
    getMaskElement: () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    onEvents: {};
    popupRef: import("vue").Ref<any>;
    getPopupDomNode: () => any;
    onAlign: (popupDomNode: any, align: any) => void;
    getClassName: (currentAlignClassName: any, originClassName?: string) => string;
    getClassNameFromAlign: ((...args: any[]) => any) | undefined;
    currentAlignClassName: string;
    getZIndexStyle: () => Record<string, any>;
    alignRef: import("vue").Ref<any>;
    updatePopupAlign: () => void;
    state: {
        currentAlignClassName: string;
    };
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    align: import("vue-types").VueTypeValidableDef<any>;
    action: import("vue-types").VueTypeDef<string | (string | null | undefined)[] | null | undefined> & {
        default: string | (() => (string | null | undefined)[]) | null | undefined;
    };
    getClassNameFromAlign: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    visible: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    getRootDomNode: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    getContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    ref: import("vue-types").VueTypeValidableDef<any>;
    destroyPopupOnHide: import("vue-types").VueTypeValidableDef<boolean>;
    transitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    animation: import("vue-types").VueTypeValidableDef<any>;
    maskAnimation: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    maskTransitionName: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    mask: import("vue-types").VueTypeValidableDef<boolean>;
    zIndex: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    popupClassName: import("vue-types").VueTypeValidableDef<any>;
    popupStyle: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    popupPlacement: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    stretch: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    point: import("vue-types").VueTypeLooseShape<{
        pageX: number | null | undefined;
        pageY: number | null | undefined;
    }>;
    arrowRef: import("vue-types").VueTypeValidableDef<any>;
    alignShift: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    alignFlip: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}>>, {
    prefixCls: string;
    visible: boolean;
    transitionName: string;
    zIndex: number;
    getContainer: (...args: any[]) => any;
    alignShift: boolean;
    alignFlip: boolean;
    action: string | (string | null | undefined)[] | null | undefined;
    getClassNameFromAlign: (...args: any[]) => any;
    getRootDomNode: (...args: any[]) => any;
    maskAnimation: string;
    maskTransitionName: string;
    popupStyle: {
        [key: string]: any;
    };
    popupPlacement: string;
    stretch: string;
}>;
export default _default;
